<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'annie',

    /*
     * Package.
     */
    'package'   => 'evnt',

    /*
     * Modules.
     */
    'modules'   => ['event', 
'event_comment', 
'event_community', 
'event_invitation', 
'event_like', 
'event_manager', 
'event_school', 
'event_project', 
'event_setting', 
'event_social_partner', 
'event_college'],

    'event'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\Event::class,
            'table'                 => 'events',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'description',  'venue',  'state_id',  'city_id',  'block_id',  'village_id',  'lat',  'lon',  'contact_name',  'contact_mobile',  'type',  'social_media_links',  'start_date_time',  'end_date_time',  'registration_end_date',  'purchase_end_date',  'performance_end_date',  'event_banner',  'images',  'videos',  'documents',  'highlights',  'donation_support_text',  'status',  'hashtags',  'meta_title',  'meta_keywords',  'meta_description',  'deleted_at',  'crreated_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'Event',
        ],

    ],

    'event_comment'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventComment::class,
            'table'                 => 'event_comments',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventCommentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'user_id',  'parent_id',  'comment',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_comment',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventComment',
        ],

    ],

    'event_community'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventCommunity::class,
            'table'                 => 'event_communities',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventCommunityPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'community_id'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_community',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventCommunity',
        ],

    ],

    'event_invitation'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventInvitation::class,
            'table'                 => 'event_invitations',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventInvitationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'name',  'email',  'invited_by',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_invitation',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventInvitation',
        ],

    ],

    'event_like'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventLike::class,
            'table'                 => 'event_likes',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventLikePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'user_id',  'ip_address',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_like',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventLike',
        ],

    ],

    'event_manager'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventManager::class,
            'table'                 => 'event_managers',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventManagerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'user_id'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_manager',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventManager',
        ],

    ],

    'event_school'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventSchool::class,
            'table'                 => 'event_schools',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventSchoolPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'school_id'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_school',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventSchool',
        ],

    ],

    'event_project'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventProject::class,
            'table'                 => 'event_projects',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventProjectPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['event_id',  'id',  'project_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_project',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventProject',
        ],

    ],

    'event_setting'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventSetting::class,
            'table'                 => 'event_settings',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventSettingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'setting',  'value'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_setting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventSetting',
        ],

    ],

    'event_social_partner'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventSocialPartner::class,
            'table'                 => 'event_social_partners',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventSocialPartnerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'social_partner_id'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_social_partner',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventSocialPartner',
        ],

    ],

    'event_college'       => [
        'model' => [
            'model'                 => \Annie\Evnt\Models\EventCollege::class,
            'table'                 => 'event_colleges',
            'presenter'             => \Annie\Evnt\Repositories\Presenter\EventCollegePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'event_id',  'collage_id'],
            'translatables'         => [],
            'upload_folder'         => 'evnt/event_college',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Evnt',
            'module'    => 'EventCollege',
        ],

    ],
];
