<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('evnt::event.name') !!} <small> {!! trans('app.manage') !!} {!! trans('evnt::event.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('evnt::event.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='evnt-event-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('evnt/event')!!}">{!! trans('evnt::event.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('evnt/event?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('evnt/event?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('evnt/event/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('evnt::admin.event.partial.actions')
                    -->
                    @include('evnt::admin.event.partial.filter')
                    @include('evnt::admin.event.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="evnt-event-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="evnt-event-check-all"></th>
                        <th data-field="name">{!! trans('evnt::event.label.name')!!}</th>
                    <th data-field="description">{!! trans('evnt::event.label.description')!!}</th>
                    <th data-field="venue">{!! trans('evnt::event.label.venue')!!}</th>
                    <th data-field="state_id">{!! trans('evnt::event.label.state_id')!!}</th>
                    <th data-field="city_id">{!! trans('evnt::event.label.city_id')!!}</th>
                    <th data-field="block_id">{!! trans('evnt::event.label.block_id')!!}</th>
                    <th data-field="village_id">{!! trans('evnt::event.label.village_id')!!}</th>
                    <th data-field="lat">{!! trans('evnt::event.label.lat')!!}</th>
                    <th data-field="lon">{!! trans('evnt::event.label.lon')!!}</th>
                    <th data-field="contact_name">{!! trans('evnt::event.label.contact_name')!!}</th>
                    <th data-field="contact_mobile">{!! trans('evnt::event.label.contact_mobile')!!}</th>
                    <th data-field="type">{!! trans('evnt::event.label.type')!!}</th>
                    <th data-field="social_media_links">{!! trans('evnt::event.label.social_media_links')!!}</th>
                    <th data-field="start_date_time">{!! trans('evnt::event.label.start_date_time')!!}</th>
                    <th data-field="end_date_time">{!! trans('evnt::event.label.end_date_time')!!}</th>
                    <th data-field="registration_end_date">{!! trans('evnt::event.label.registration_end_date')!!}</th>
                    <th data-field="purchase_end_date">{!! trans('evnt::event.label.purchase_end_date')!!}</th>
                    <th data-field="performance_end_date">{!! trans('evnt::event.label.performance_end_date')!!}</th>
                    <th data-field="event_banner">{!! trans('evnt::event.label.event_banner')!!}</th>
                    <th data-field="documents">{!! trans('evnt::event.label.documents')!!}</th>
                    <th data-field="hashtags">{!! trans('evnt::event.label.hashtags')!!}</th>
                    <th data-field="meta_title">{!! trans('evnt::event.label.meta_title')!!}</th>
                    <th data-field="meta_keywords">{!! trans('evnt::event.label.meta_keywords')!!}</th>
                    <th data-field="meta_description">{!! trans('evnt::event.label.meta_description')!!}</th>
                    <th data-field="crreated_at">{!! trans('evnt::event.label.crreated_at')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#evnt-event-entry', '{!!guard_url('evnt/event/0')!!}');
    oTable = $('#evnt-event-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('evnt/event') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'name'},
            {data :'description'},
            {data :'venue'},
            {data :'state_id'},
            {data :'city_id'},
            {data :'block_id'},
            {data :'village_id'},
            {data :'lat'},
            {data :'lon'},
            {data :'contact_name'},
            {data :'contact_mobile'},
            {data :'type'},
            {data :'social_media_links'},
            {data :'start_date_time'},
            {data :'end_date_time'},
            {data :'registration_end_date'},
            {data :'purchase_end_date'},
            {data :'performance_end_date'},
            {data :'event_banner'},
            {data :'documents'},
            {data :'hashtags'},
            {data :'meta_title'},
            {data :'meta_keywords'},
            {data :'meta_description'},
            {data :'crreated_at'},
        ],
        "pageLength": 25
    });

    $('#evnt-event-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#evnt-event-list').DataTable().row( this ).data();
        $('#evnt-event-entry').load('{!!guard_url('evnt/event')!!}' + '/' + d.id);
    });

    $('#evnt-event-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#evnt-event-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#evnt-event-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#evnt-event-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>