<?php

namespace Annie\Evnt\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Event policy
        'Annie\Evnt\Models\Event' => \Annie\Evnt\Policies\EventPolicy::class,
// Bind EventComment policy
        'Annie\Evnt\Models\EventComment' => \Annie\Evnt\Policies\EventCommentPolicy::class,
// Bind EventCommunity policy
        'Annie\Evnt\Models\EventCommunity' => \Annie\Evnt\Policies\EventCommunityPolicy::class,
// Bind EventInvitation policy
        'Annie\Evnt\Models\EventInvitation' => \Annie\Evnt\Policies\EventInvitationPolicy::class,
// Bind EventLike policy
        'Annie\Evnt\Models\EventLike' => \Annie\Evnt\Policies\EventLikePolicy::class,
// Bind EventManager policy
        'Annie\Evnt\Models\EventManager' => \Annie\Evnt\Policies\EventManagerPolicy::class,
// Bind EventSchool policy
        'Annie\Evnt\Models\EventSchool' => \Annie\Evnt\Policies\EventSchoolPolicy::class,
// Bind EventProject policy
        'Annie\Evnt\Models\EventProject' => \Annie\Evnt\Policies\EventProjectPolicy::class,
// Bind EventSetting policy
        'Annie\Evnt\Models\EventSetting' => \Annie\Evnt\Policies\EventSettingPolicy::class,
// Bind EventSocialPartner policy
        'Annie\Evnt\Models\EventSocialPartner' => \Annie\Evnt\Policies\EventSocialPartnerPolicy::class,
// Bind EventCollege policy
        'Annie\Evnt\Models\EventCollege' => \Annie\Evnt\Policies\EventCollegePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
