<?php

namespace Annie\Evnt\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventCollegeTransformer extends TransformerAbstract
{
    public function transform(\Annie\Evnt\Models\EventCollege $event_college)
    {
        return [
            'id'                => $event_college->getRouteKey(),
            'key'               => [
                'public'    => $event_college->getPublicKey(),
                'route'     => $event_college->getRouteKey(),
            ], 
            'id'                => $event_college->id,
            'event_id'          => $event_college->event_id,
            'collage_id'        => $event_college->collage_id,
            'url'               => [
                'public'    => trans_url('evnt/'.$event_college->getPublicKey()),
                'user'      => guard_url('evnt/event_college/'.$event_college->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_college->status),
            'created_at'        => format_date($event_college->created_at),
            'updated_at'        => format_date($event_college->updated_at),
        ];
    }
}