<?php

namespace Annie\Evnt\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventCommentTransformer extends TransformerAbstract
{
    public function transform(\Annie\Evnt\Models\EventComment $event_comment)
    {
        return [
            'id'                => $event_comment->getRouteKey(),
            'key'               => [
                'public'    => $event_comment->getPublicKey(),
                'route'     => $event_comment->getRouteKey(),
            ], 
            'id'                => $event_comment->id,
            'event_id'          => $event_comment->event_id,
            'user_id'           => $event_comment->user_id,
            'parent_id'         => $event_comment->parent_id,
            'comment'           => $event_comment->comment,
            'created_at'        => $event_comment->created_at,
            'updated_at'        => $event_comment->updated_at,
            'deleted_at'        => $event_comment->deleted_at,
            'url'               => [
                'public'    => trans_url('evnt/'.$event_comment->getPublicKey()),
                'user'      => guard_url('evnt/event_comment/'.$event_comment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_comment->status),
            'created_at'        => format_date($event_comment->created_at),
            'updated_at'        => format_date($event_comment->updated_at),
        ];
    }
}