<?php

namespace Annie\Evnt\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventCommunityTransformer extends TransformerAbstract
{
    public function transform(\Annie\Evnt\Models\EventCommunity $event_community)
    {
        return [
            'id'                => $event_community->getRouteKey(),
            'key'               => [
                'public'    => $event_community->getPublicKey(),
                'route'     => $event_community->getRouteKey(),
            ], 
            'id'                => $event_community->id,
            'event_id'          => $event_community->event_id,
            'community_id'      => $event_community->community_id,
            'url'               => [
                'public'    => trans_url('evnt/'.$event_community->getPublicKey()),
                'user'      => guard_url('evnt/event_community/'.$event_community->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_community->status),
            'created_at'        => format_date($event_community->created_at),
            'updated_at'        => format_date($event_community->updated_at),
        ];
    }
}