<?php

namespace Annie\Evnt\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventInvitationTransformer extends TransformerAbstract
{
    public function transform(\Annie\Evnt\Models\EventInvitation $event_invitation)
    {
        return [
            'id'                => $event_invitation->getRouteKey(),
            'key'               => [
                'public'    => $event_invitation->getPublicKey(),
                'route'     => $event_invitation->getRouteKey(),
            ], 
            'id'                => $event_invitation->id,
            'event_id'          => $event_invitation->event_id,
            'name'              => $event_invitation->name,
            'email'             => $event_invitation->email,
            'invited_by'        => $event_invitation->invited_by,
            'deleted_at'        => $event_invitation->deleted_at,
            'created_at'        => $event_invitation->created_at,
            'updated_at'        => $event_invitation->updated_at,
            'url'               => [
                'public'    => trans_url('evnt/'.$event_invitation->getPublicKey()),
                'user'      => guard_url('evnt/event_invitation/'.$event_invitation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_invitation->status),
            'created_at'        => format_date($event_invitation->created_at),
            'updated_at'        => format_date($event_invitation->updated_at),
        ];
    }
}