<?php

namespace Annie\Evnt\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventLikeTransformer extends TransformerAbstract
{
    public function transform(\Annie\Evnt\Models\EventLike $event_like)
    {
        return [
            'id'                => $event_like->getRouteKey(),
            'key'               => [
                'public'    => $event_like->getPublicKey(),
                'route'     => $event_like->getRouteKey(),
            ], 
            'id'                => $event_like->id,
            'event_id'          => $event_like->event_id,
            'user_id'           => $event_like->user_id,
            'ip_address'        => $event_like->ip_address,
            'created_at'        => $event_like->created_at,
            'updated_at'        => $event_like->updated_at,
            'deleted_at'        => $event_like->deleted_at,
            'url'               => [
                'public'    => trans_url('evnt/'.$event_like->getPublicKey()),
                'user'      => guard_url('evnt/event_like/'.$event_like->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_like->status),
            'created_at'        => format_date($event_like->created_at),
            'updated_at'        => format_date($event_like->updated_at),
        ];
    }
}