<?php

namespace Annie\Evnt\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventManagerTransformer extends TransformerAbstract
{
    public function transform(\Annie\Evnt\Models\EventManager $event_manager)
    {
        return [
            'id'                => $event_manager->getRouteKey(),
            'key'               => [
                'public'    => $event_manager->getPublicKey(),
                'route'     => $event_manager->getRouteKey(),
            ], 
            'id'                => $event_manager->id,
            'event_id'          => $event_manager->event_id,
            'user_id'           => $event_manager->user_id,
            'url'               => [
                'public'    => trans_url('evnt/'.$event_manager->getPublicKey()),
                'user'      => guard_url('evnt/event_manager/'.$event_manager->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_manager->status),
            'created_at'        => format_date($event_manager->created_at),
            'updated_at'        => format_date($event_manager->updated_at),
        ];
    }
}