<?php

namespace Annie\Evnt\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventProjectTransformer extends TransformerAbstract
{
    public function transform(\Annie\Evnt\Models\EventProject $event_project)
    {
        return [
            'id'                => $event_project->getRouteKey(),
            'key'               => [
                'public'    => $event_project->getPublicKey(),
                'route'     => $event_project->getRouteKey(),
            ], 
            'event_id'          => $event_project->event_id,
            'id'                => $event_project->id,
            'project_id'        => $event_project->project_id,
            'created_at'        => $event_project->created_at,
            'updated_at'        => $event_project->updated_at,
            'deleted_at'        => $event_project->deleted_at,
            'url'               => [
                'public'    => trans_url('evnt/'.$event_project->getPublicKey()),
                'user'      => guard_url('evnt/event_project/'.$event_project->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_project->status),
            'created_at'        => format_date($event_project->created_at),
            'updated_at'        => format_date($event_project->updated_at),
        ];
    }
}