<?php

namespace Annie\Evnt\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EventSocialPartnerTransformer extends TransformerAbstract
{
    public function transform(\Annie\Evnt\Models\EventSocialPartner $event_social_partner)
    {
        return [
            'id'                => $event_social_partner->getRouteKey(),
            'key'               => [
                'public'    => $event_social_partner->getPublicKey(),
                'route'     => $event_social_partner->getRouteKey(),
            ], 
            'id'                => $event_social_partner->id,
            'event_id'          => $event_social_partner->event_id,
            'social_partner_id' => $event_social_partner->social_partner_id,
            'url'               => [
                'public'    => trans_url('evnt/'.$event_social_partner->getPublicKey()),
                'user'      => guard_url('evnt/event_social_partner/'.$event_social_partner->getRouteKey()),
            ], 
            'status'            => trans('app.'.$event_social_partner->status),
            'created_at'        => format_date($event_social_partner->created_at),
            'updated_at'        => format_date($event_social_partner->updated_at),
        ];
    }
}